creffett    14/06/19 13:01:37

  Modified:             ypsilon-0.9.6_p3.ebuild ChangeLog
  Log:
  [QA] Respect LDFLAGS wrt bug 335364, credit to Cyprien Nicolas 
<[email protected]> for the fix
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 
28DB029C)

Revision  Changes    Path
1.3                  dev-scheme/ypsilon/ypsilon-0.9.6_p3.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-scheme/ypsilon/ypsilon-0.9.6_p3.ebuild?rev=1.3&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-scheme/ypsilon/ypsilon-0.9.6_p3.ebuild?rev=1.3&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-scheme/ypsilon/ypsilon-0.9.6_p3.ebuild?r1=1.2&r2=1.3

Index: ypsilon-0.9.6_p3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-scheme/ypsilon/ypsilon-0.9.6_p3.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- ypsilon-0.9.6_p3.ebuild     21 Dec 2009 14:33:49 -0000      1.2
+++ ypsilon-0.9.6_p3.ebuild     19 Jun 2014 13:01:36 -0000      1.3
@@ -1,6 +1,7 @@
-# Copyright 1999-2009 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/dev-scheme/ypsilon/ypsilon-0.9.6_p3.ebuild,v 1.2 
2009/12/21 14:33:49 ssuominen Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/dev-scheme/ypsilon/ypsilon-0.9.6_p3.ebuild,v 1.3 
2014/06/19 13:01:36 creffett Exp $
+EAPI=5
 
 inherit eutils flag-o-matic toolchain-funcs
 
@@ -19,9 +20,7 @@
 
 S=${WORKDIR}/${MY_P}
 
-src_unpack() {
-       unpack ${A}
-       cd "${S}"
+src_prepare() {
        epatch "${FILESDIR}"/${P}-asneeded.patch
 }
 
@@ -29,7 +28,7 @@
        use threads && append-flags "-pthread"
 
        emake PREFIX="/usr" CXX="$(tc-getCXX)" \
-               CXXFLAGS="${CXXFLAGS}" || die "emake failed"
+               CXXFLAGS="${CXXFLAGS}" LDFLAGS="$LDFLAGS"  || die "emake failed"
 }
 
 src_install() {



1.3                  dev-scheme/ypsilon/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-scheme/ypsilon/ChangeLog?rev=1.3&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-scheme/ypsilon/ChangeLog?rev=1.3&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-scheme/ypsilon/ChangeLog?r1=1.2&r2=1.3

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-scheme/ypsilon/ChangeLog,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- ChangeLog   21 Dec 2009 14:33:49 -0000      1.2
+++ ChangeLog   19 Jun 2014 13:01:36 -0000      1.3
@@ -1,6 +1,10 @@
 # ChangeLog for dev-scheme/ypsilon
-# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-scheme/ypsilon/ChangeLog,v 1.2 
2009/12/21 14:33:49 ssuominen Exp $
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-scheme/ypsilon/ChangeLog,v 1.3 
2014/06/19 13:01:36 creffett Exp $
+
+  19 Jun 2014; Chris Reffett <[email protected]> ypsilon-0.9.6_p3.ebuild:
+  [QA] Respect LDFLAGS wrt bug 335364, credit to Cyprien Nicolas <gentoo-
+  [email protected]> for the fix
 
   21 Dec 2009; Samuli Suominen <[email protected]>
   ypsilon-0.9.6_p3.ebuild, +files/ypsilon-0.9.6_p3-asneeded.patch:
@@ -11,4 +15,3 @@
   20 Apr 2009; Vadim Kuznetsov [email protected] +metadata.xml,
   +ypsilon-0.9.6_p3.ebuild:
   Initial commit. Bug 229371. Initial ebuild provided by Dmitry Dzhus.
-




Reply via email to